Calculate Linux - Bug # 460: CDS b, LVM

Status: Closed Priority: Normal

Author: D«b%:D NEPUD! DiPubY:D PO Category:

Created: 08/08/2012 Assignee:

Updated: 08/31/2012 Due date:

Subject: CDS b, LVM

Description: stage: cds-20120807-i686.is0 B¥:D° D¥NDY:D¥D2D cds-20120803-i686.is0, ND¥D+NED°DY-DY2N DL
b2 cl-assemble (B¥:D+DY2D¥:D2D»Pub¥: calculate-install B'B% 3.0.0-r5)
DeP°P+D»D, NtD° NED°D-D Pub»D¥%:D2 GPT
b D°D-bYDuN,pop°:
/dev/sdal 32Mb bios_grub
/dev/sda2 500Mb ext2 (/boot)
/dev/sda3 2Gb swap
/dev/sdad 17,5Gb ext4 (/)
/dev/sdbl 500Gb LVM
D’ LVM R+b¥%D-D'D°P¥%D° D3NENfD:D:D° N,D¥%:DY:D¥:D2 volumes, D, 2 D»D¥%D3D NibuN«D°p N...
N,D¥:DYsD° home (B"D»Ne /home) D, calculate (B"D»Ns/var/calculate)
Dip°P+DY NfNeN,D°D¥:D°D2D»D D2D°DuN,NeNe DDY:DY:D°DY2D DYD:
<pre>
cl-install -d /dev/sda2:/bootiext2 -d /dev/sdad:/:ext4 -d /dev/volumes/home:/home:ext4 -d
/dev/ivolumes/calculate:/var/calculate:ext4 --hostname test.local -u rasdark
</pre>
DENN, D°DY:D°D2D»D D2D°PuN,NeNe D+bub- D¥%N"D, D+b¥.D°. DYD¥NeD»Dp
D¢ DUNEDUD-D°DNENFD-D°D, D, DY4DububYs B2 boot-D»D¥:D3pu D-D°D¢,D,NNE b¥: N.b¥:DbYs, N+N,DY4
PYUDUDDYN DYNENGDN  NEP°D-D'Bub»Nc  B¥%bu  DxNd»D,  Nbvib¥b¥:N D NEDYD2D°DYsN.
D'NeNeNeDY:NDUbYs - DY:Du NeDYiD¥:DY2N D, NEDY4D2D°DY2N < D2NeDu N.DY:DY2D° LVM.
D'P¥D+D°D2D»NebpubYs  *dolvm* D2 grub.cfy - RKD¥%DYwD° DNED, B-D°P3NENFD-D°Pu
pvp¥bYN D, NENFNZN,NeNe, DYDY  D¢NEDYNDD°DD D2D°DuN,  NeB»Dub NfNZN%.D°Ne
"D¥%N"D D+b°D°":hitp://pastebin.calculate-linux.ru/ru/show/4068

History

08/08/2012 10:11 am - Mikhail Hiretsky
> DYDY D¢ NEDYNDD°DOD D2D°DuN, NeD»Dpb NfNZN%.D°Ne B¥N"D D+DoD°

DYNED, NeN,D¥DYs Neb, NeN,DupYzD° B-D°D3NEN FOID°DUN,NeNe?

08/08/2012 10:16 am - D+D¥%D NEDUD? D;PUDY:D PO
DD, D-D°DNENfFDID°DUN,NeNe.
D+b¥ DYeD°D ¢ NENDD DN, D°D°P° NeD°DY4D° D¥%N"D,D+DD°, N,D°P° D, D' D¥D¢D,N+ND2D°D¥:D B dolvm B2 grub.cfg

08/08/2012 02:45 pm - Mikhail Hiretsky

- Status changed from New to Closed
D "Neb¢ NED D2D»DUDY:D,Ne Ne @dolvm@ DxNfB'NfN, B2 @calculate-utilities-3.0.0-r8@.

08/09/2012 11:39 am - D-DY:D’NEDUD! DiDUDY:D B°

DYNEDY:D+D»DuDYsD°

Ne DP%ND,D+DoDDYD, D-D°DNfNeDD°  dmsetup  NEPUNBD°BUN,NeNe B BD¥D+D°D2D»DUDY:D DUbYs

Isbin/dmsetup.static B2 N,Dub°N fN%.D, Dt initramfs
NeN...Dubv4b° B¢ NED, DYDUNEDY2DY: N,D°DD°Ne:

<pre>

mv /boot/initramfs-3.4.5-i686-CDS /boot/initramfs-3.4.5-i686-CDS-backup
mkdir -p /tmp/initramfs

cd /tmp/initramfs

gunzip -c /boot/initramfs-3.4.5-i686-CDS-backup | cpio -i

cp /shin/dmsetup.static sbin/dmsetup

find . -print0 | cpio --null -ov --format=newc | gzip -9 > /boot/initramfs-3.4.5-i686-CDS
rm -rf /tmp/initramfs

</pre>

08/31/2012 10:38 am - Mikhail Hiretsky
D™NeD¢ NED°D2D»DubY:2D¥: B2 @calckernel-3.4.18-r11@ D, N-b'N€Pu @3.5.3@.
